Skip to main content
POST
/
v1
/
extract
/
batch
Extract Data (Batch)
curl --request POST \
  --url https://api.kiriku.app/v1/extract/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'files=<string>' \
  --form 'documentType=<string>' \
  --form files.items='@example-file'
{
  "batchId": "<string>",
  "status": "queued",
  "totalDocuments": 123,
  "completedCount": 123,
  "failedCount": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.kiriku.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

multipart/form-data
files
file[]
required

Up to 50 document files.

documentType
string
required

Template to use for all documents.

Response

201 - application/json

Batch queued successfully

batchId
string
status
enum<string>
Available options:
queued,
processing,
completed,
partial_failure
totalDocuments
number
completedCount
number
failedCount
number
createdAt
string<date-time>
updatedAt
string<date-time>